Get a payout instruction
curl --request GET \
--url https://api.tilta.io/v1/payout_instructions/{external_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tilta.io/v1/payout_instructions/{external_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tilta.io/v1/payout_instructions/{external_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tilta.io/v1/payout_instructions/{external_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"external_id": "8b9f1f4c-2e2a-4a8c-9d51-1b3a3a2c8e9d",
"beneficiary_name": "<string>",
"is_verified": false,
"created_at": 1582896122,
"updated_at": 1582896122,
"type": "SEPA",
"iban": "DE03500105177178979259",
"bic": "DEUTDEFF"
}{
"code": "BAD_REQUEST",
"error": "Request validation failed. 1 issue found.",
"issues": [
{
"code": "INVALID_TYPE",
"path": "body.registered_at",
"message": "Invalid type"
}
]
}{
"error": "Unauthorized",
"code": "UNAUTHORIZED"
}{
"error": "No Entity found",
"code": "NOT_FOUND"
}Merchants
Retrieve a payout instruction
Fetch a single payout bank account by its identifier, including its current verification status.
GET
/
v1
/
payout_instructions
/
{external_id}
Get a payout instruction
Retrieve a single payout instruction to confirm its bank details and check whether Tilta has finished verifying it. Payouts are only sent to verified instructions.
Authorizations
Your Tilta API key, sent as Bearer <key>.
Path Parameters
Unique identifier of a payout instruction.
Example:
"8b9f1f4c-2e2a-4a8c-9d51-1b3a3a2c8e9d"
Response
- Option 1
- Option 2
- Option 3
A SEPA payout instruction.
Unique identifier of a payout instruction.
Example:
"8b9f1f4c-2e2a-4a8c-9d51-1b3a3a2c8e9d"
Whether this payout instruction has been verified by Tilta and is therefore eligible for use in actual payouts. Newly created or replaced payout instructions are unverified and must be verified by Tilta out-of-band before they can be used operationally.
Example:
false
Timestamp in unix time (seconds).
Example:
1582896122
Timestamp in unix time (seconds).
Example:
1582896122
Available options:
SEPA Example:
"DE03500105177178979259"
Example:
"DEUTDEFF"